diff --git a/src/main/java/net/minecraft/client/entity/particle/TerrainParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleBlockBreaking.java
similarity index 92%
rename from src/main/java/net/minecraft/client/entity/particle/TerrainParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleBlockBreaking.java
index 40d1e002b..319dd11bd 100644
--- a/src/main/java/net/minecraft/client/entity/particle/TerrainParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleBlockBreaking.java
@@ -14,11 +14,11 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 
-public class TerrainParticle extends Particle {
+public class ParticleBlockBreaking extends Particle {
     private final Block block;
     private final Side side;
 
-    public TerrainParticle(World world, double x, double y, double z, double xa, double ya, double za, Block block, Side side, int meta) {
+    public ParticleBlockBreaking(World world, double x, double y, double z, double xa, double ya, double za, Block block, Side side, int meta) {
         super(world, x, y, z, xa, ya, za);
         this.side = side;
         this.block = block;
@@ -28,7 +28,7 @@ public class TerrainParticle extends Particle {
         this.size /= 2.0F;
     }
 
-    public TerrainParticle init(int x, int y, int z) {
+    public ParticleBlockBreaking init(int x, int y, int z) {
         int meta = this.world.getBlockMetadata(x, y, z);
         BlockModel<?> model = BlockModelDispatcher.getInstance().getDispatch(this.block);
         if (model.shouldSideBeColored(this.world, x, y, z, this.side.getId(), meta)) {
diff --git a/src/main/java/net/minecraft/client/entity/particle/BubbleParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleBubble.java
similarity index 93%
rename from src/main/java/net/minecraft/client/entity/particle/BubbleParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleBubble.java
index 6d9f5237c..8b3d88ddf 100644
--- a/src/main/java/net/minecraft/client/entity/particle/BubbleParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleBubble.java
@@ -5,10 +5,10 @@ import net.minecraft.core.block.material.Material;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 
-public class BubbleParticle extends Particle {
+public class ParticleBubble extends Particle {
     private final boolean needsWater;
 
-    public BubbleParticle(World world, double x, double y, double z, double xa, double ya, double za, boolean needsWater) {
+    public ParticleBubble(World world, double x, double y, double z, double xa, double ya, double za, boolean needsWater) {
         super(world, x, y, z, xa, ya, za);
         this.needsWater = needsWater;
         this.rCol = 1.0F;
diff --git a/src/main/java/net/minecraft/client/entity/particle/ParticleDispatcher.java b/src/main/java/net/minecraft/client/entity/particle/ParticleDispatcher.java
index 7eb242902..d0bd0297e 100644
--- a/src/main/java/net/minecraft/client/entity/particle/ParticleDispatcher.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleDispatcher.java
@@ -6,7 +6,7 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.util.dispatch.Dispatcher;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.entity.animal.FireflyClusterMob;
+import net.minecraft.core.entity.animal.MobFireflyCluster;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.util.helper.BlockParticleHelper;
@@ -34,45 +34,45 @@ public final class ParticleDispatcher extends Dispatcher<String, ParticleLambda>
 
     private ParticleDispatcher() {
         Minecraft mc = Minecraft.getMinecraft(this);
-        addDispatch("bubble", (world, x, y, z, motionX, motionY, motionZ, data) -> new BubbleParticle(world, x, y, z, motionX, motionY, motionZ, true));
-        addDispatch("smoke", (world, x, y, z, motionX, motionY, motionZ, data) -> new SmokeParticle(world, x, y, z, motionX, motionY, motionX));
-        addDispatch("note", (world, x, y, z, motionX, motionY, motionZ, data) -> new NoteParticle(world, x, y, z, motionX, motionY, motionX, data));
-        addDispatch("portal", (world, x, y, z, motionX, motionY, motionZ, data) -> new PortalParticle(world, x, y, z, motionX, motionY, motionX, data));
-        addDispatch("explode", (world, x, y, z, motionX, motionY, motionZ, data) -> new ExplodeParticle(world, x, y, z, motionX, motionY, motionX));
-        addDispatch("flame", (world, x, y, z, motionX, motionY, motionZ, data) -> new FlameParticle(world, x, y, z, motionX, motionY, motionX, FlameParticle.Type.ORANGE));
-        addDispatch("blueflame", (world, x, y, z, motionX, motionY, motionZ, data) -> new FlameParticle(world, x, y, z, motionX, motionY, motionX, FlameParticle.Type.BLUE));
-        addDispatch("soulflame", (world, x, y, z, motionX, motionY, motionZ, data) -> new FlameParticle(world, x, y, z, motionX, motionY, motionX, FlameParticle.Type.SOUL));
-        addDispatch("lava", (world, x, y, z, motionX, motionY, motionZ, data) -> new LavaParticle(world, x, y, z));
-        addDispatch("footstep", (world, x, y, z, motionX, motionY, motionZ, data) -> new FootstepParticle(mc.textureManager, world, x, y, z));
-        addDispatch("splash", (world1, d, d1, d2, d3, d4, d5, data) -> new SplashParticle(world1, d, d1, d2, d3, d4, d5));
-        addDispatch("largesmoke", (world, x, y, z, motionX, motionY, motionZ, data) -> new SmokeParticle(world, x, y, z, motionX, motionY, motionX, 2.5f));
-        addDispatch("reddust", (world, x, y, z, motionX, motionY, motionZ, data) -> new RedstoneDustParticle(world, x, y, z, (float) motionX, (float) motionY, (float) motionZ, data));
-        addDispatch("item", (world, x, y, z, motionX, motionY, motionZ, data) -> new BreakingItemParticle(world, x, y, z, Item.itemsList[MathHelper.clamp(data, 0, Item.itemsList.length - 1)]));
-        addDispatch("block", (world, x, y, z, motionX, motionY, motionZ, data) -> new TerrainParticle(world, x, y, z, motionX, motionY, motionZ, Block.blocksList[BlockParticleHelper.decodeBlockID(data)], BlockParticleHelper.decodeBlockSide(data), BlockParticleHelper.decodeBlockMeta(data)).init((int) x, (int) y, (int) z));
-        addDispatch("snowshovel", (world, x, y, z, motionX, motionY, motionZ, data) -> new SnowShovelParticle(world, x, y, z, motionX, motionY, motionX));
-        addDispatch("heart", (world, x, y, z, motionX, motionY, motionZ, data) -> new HeartParticle(world, x, y, z, motionX, motionY, motionX));
+        addDispatch("bubble", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleBubble(world, x, y, z, motionX, motionY, motionZ, true));
+        addDispatch("smoke", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleSmoke(world, x, y, z, motionX, motionY, motionX));
+        addDispatch("note", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleNote(world, x, y, z, motionX, motionY, motionX, data));
+        addDispatch("portal", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticlePortal(world, x, y, z, motionX, motionY, motionX, data));
+        addDispatch("explode", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleExplode(world, x, y, z, motionX, motionY, motionX));
+        addDispatch("flame", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleFlame(world, x, y, z, motionX, motionY, motionX, ParticleFlame.Type.ORANGE));
+        addDispatch("blueflame", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleFlame(world, x, y, z, motionX, motionY, motionX, ParticleFlame.Type.BLUE));
+        addDispatch("soulflame", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleFlame(world, x, y, z, motionX, motionY, motionX, ParticleFlame.Type.SOUL));
+        addDispatch("lava", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleLava(world, x, y, z));
+        addDispatch("footstep", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleFootstep(mc.textureManager, world, x, y, z));
+        addDispatch("splash", (world1, d, d1, d2, d3, d4, d5, data) -> new ParticleSplash(world1, d, d1, d2, d3, d4, d5));
+        addDispatch("largesmoke", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleSmoke(world, x, y, z, motionX, motionY, motionX, 2.5f));
+        addDispatch("reddust", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleRedstoneDust(world, x, y, z, (float) motionX, (float) motionY, (float) motionZ, data));
+        addDispatch("item", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleItemBreaking(world, x, y, z, Item.itemsList[MathHelper.clamp(data, 0, Item.itemsList.length - 1)]));
+        addDispatch("block", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleBlockBreaking(world, x, y, z, motionX, motionY, motionZ, Block.blocksList[BlockParticleHelper.decodeBlockID(data)], BlockParticleHelper.decodeBlockSide(data), BlockParticleHelper.decodeBlockMeta(data)).init((int) x, (int) y, (int) z));
+        addDispatch("snowshovel", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleSnowShovel(world, x, y, z, motionX, motionY, motionX));
+        addDispatch("heart", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleHeart(world, x, y, z, motionX, motionY, motionX));
         addDispatch("slimechunk", (world, x, y, z, motionX, motionY, motionZ, data) -> {
             if (mc.gameSettings.slimeParticles.value) {
-                return new SlimeChunkParticle(world, x, y, z, Items.SLIMEBALL);
+                return new ParticleSlimeChunk(world, x, y, z, Items.SLIMEBALL);
             }
             return null;
         });
-        addDispatch("fireflyGreen", (world, x, y, z, motionX, motionY, motionZ, data) -> new FireflyParticle(world, x, y, z, motionX, motionY, motionX, FireflyClusterMob.FireflyColor.GREEN.getId()));
-        addDispatch("fireflyBlue", (world, x, y, z, motionX, motionY, motionZ, data) -> new FireflyParticle(world, x, y, z, motionX, motionY, motionX, FireflyClusterMob.FireflyColor.BLUE.getId()));
-        addDispatch("fireflyOrange", (world, x, y, z, motionX, motionY, motionZ, data) -> new FireflyParticle(world, x, y, z, motionX, motionY, motionX, FireflyClusterMob.FireflyColor.ORANGE.getId()));
-        addDispatch("fireflyRed", (world, x, y, z, motionX, motionY, motionZ, data) -> new FireflyParticle(world, x, y, z, motionX, motionY, motionX, FireflyClusterMob.FireflyColor.RED.getId()));
-        addDispatch("arrowtrail", (world, x, y, z, motionX, motionY, motionZ, data) -> new GoldenArrowParticle(world, x, y, z, motionX, motionY, motionX));
+        addDispatch("fireflyGreen", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleFirefly(world, x, y, z, motionX, motionY, motionX, MobFireflyCluster.FireflyColor.GREEN.getId()));
+        addDispatch("fireflyBlue", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleFirefly(world, x, y, z, motionX, motionY, motionX, MobFireflyCluster.FireflyColor.BLUE.getId()));
+        addDispatch("fireflyOrange", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleFirefly(world, x, y, z, motionX, motionY, motionX, MobFireflyCluster.FireflyColor.ORANGE.getId()));
+        addDispatch("fireflyRed", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleFirefly(world, x, y, z, motionX, motionY, motionX, MobFireflyCluster.FireflyColor.RED.getId()));
+        addDispatch("arrowtrail", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleArrowGolden(world, x, y, z, motionX, motionY, motionX));
         addDispatch("fallingleaf", (world, x, y, z, motionX, motionY, motionZ, data) -> {
             int id = world.getBlockId(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z));
             if (id != 0) {
-                return new LeafParticle(world, x, y, z, motionX, motionY, motionX).init(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z));
+                return new ParticleLeaf(world, x, y, z, motionX, motionY, motionX).init(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z));
             }
             return null;
         });
         addDispatch("dripWater", (world, x, y, z, motionX, motionY, motionZ, data) -> {
             int color = BlockColorDispatcher.getInstance().getDispatch(Blocks.FLUID_WATER_STILL).getWorldColor(world, MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z));
-            return new FluidDripParticle(world, x, y, z, color, TextureRegistry.getTexture("minecraft:block/water_flowing"));
+            return new ParticleFluidDrip(world, x, y, z, color, TextureRegistry.getTexture("minecraft:block/water_flowing"));
         });
-        addDispatch("dripLava", (world, x, y, z, motionX, motionY, motionZ, data) -> new FluidDripParticle(world, x, y, z, 0xFFFFFF, TextureRegistry.getTexture("minecraft:block/lava_flowing")).setFullBright());
+        addDispatch("dripLava", (world, x, y, z, motionX, motionY, motionZ, data) -> new ParticleFluidDrip(world, x, y, z, 0xFFFFFF, TextureRegistry.getTexture("minecraft:block/lava_flowing")).setFullBright());
     }
 }
diff --git a/src/main/java/net/minecraft/client/entity/particle/ExplodeParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleExplode.java
similarity index 92%
rename from src/main/java/net/minecraft/client/entity/particle/ExplodeParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleExplode.java
index f9fa36927..e7fb9930a 100644
--- a/src/main/java/net/minecraft/client/entity/particle/ExplodeParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleExplode.java
@@ -3,8 +3,8 @@ package net.minecraft.client.entity.particle;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.world.World;
 
-public class ExplodeParticle extends Particle {
-    public ExplodeParticle(World world, double x, double y, double z, double xa, double ya, double za) {
+public class ParticleExplode extends Particle {
+    public ParticleExplode(World world, double x, double y, double z, double xa, double ya, double za) {
         super(world, x, y, z, xa, ya, za);
         this.xd = xa + (Math.random() * 2D - 1.0D) * 0.05F;
         this.yd = ya + (Math.random() * 2D - 1.0D) * 0.05F;
diff --git a/src/main/java/net/minecraft/client/entity/particle/FireflyParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleFirefly.java
similarity index 95%
rename from src/main/java/net/minecraft/client/entity/particle/FireflyParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleFirefly.java
index bde2b322b..d0c7a43ac 100644
--- a/src/main/java/net/minecraft/client/entity/particle/FireflyParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleFirefly.java
@@ -3,11 +3,11 @@ package net.minecraft.client.entity.particle;
 import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.core.entity.animal.FireflyClusterMob;
+import net.minecraft.core.entity.animal.MobFireflyCluster;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 
-public class FireflyParticle extends Particle {
+public class ParticleFirefly extends Particle {
     private float sinTimer = 0;
     private boolean isReversed = false;
     private float midR = 0.0f;
@@ -23,11 +23,11 @@ public class FireflyParticle extends Particle {
     private final float oG;
     private final float oB;
 
-    public FireflyParticle(World world, double x, double y, double z, double xa, double ya, double za, int type) {
+    public ParticleFirefly(World world, double x, double y, double z, double xa, double ya, double za, int type) {
         this(world, x, y, z, xa, ya, za, 1.0F, type);
     }
 
-    public FireflyParticle(World world, double x, double y, double z, double xa, double ya, double za, float scale, int type) {
+    public ParticleFirefly(World world, double x, double y, double z, double xa, double ya, double za, float scale, int type) {
         super(world, x, y, z, 0.0D, 0.0D, 0.0D);
         this.xd = 0.01D;
         this.yd = 0.01D;
@@ -50,7 +50,7 @@ public class FireflyParticle extends Particle {
     }
 
     private void setColor(int type) {
-        float[] color = FireflyClusterMob.FireflyColor.fireFlyColors.get(type).getMidColor();
+        float[] color = MobFireflyCluster.FireflyColor.fireFlyColors.get(type).getMidColor();
         this.midR = color[0];
         this.midG = color[1];
         this.midB = color[2];
diff --git a/src/main/java/net/minecraft/client/entity/particle/FlameParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleFlame.java
similarity index 96%
rename from src/main/java/net/minecraft/client/entity/particle/FlameParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleFlame.java
index 709eb1d42..3e55aea1f 100644
--- a/src/main/java/net/minecraft/client/entity/particle/FlameParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleFlame.java
@@ -7,10 +7,10 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 
-public class FlameParticle extends Particle {
+public class ParticleFlame extends Particle {
     private final float oSize;
 
-    public FlameParticle(World world, double x, double y, double z, double xd, double yd, double zd, Type type) {
+    public ParticleFlame(World world, double x, double y, double z, double xd, double yd, double zd, Type type) {
         super(world, x, y, z, xd, yd, zd);
         this.xd = this.xd * 0.01D + xd;
         this.yd = this.yd * 0.01D + yd;
diff --git a/src/main/java/net/minecraft/client/entity/particle/FluidDripParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleFluidDrip.java
similarity index 95%
rename from src/main/java/net/minecraft/client/entity/particle/FluidDripParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleFluidDrip.java
index 8dccbafb5..6a4f0a3c3 100644
--- a/src/main/java/net/minecraft/client/entity/particle/FluidDripParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleFluidDrip.java
@@ -9,12 +9,12 @@ import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 
-public class FluidDripParticle extends Particle
+public class ParticleFluidDrip extends Particle
 {
     float maxSize;
     boolean fullBright;
 
-    public FluidDripParticle(final World world, final double x, final double y, final double z, int color, IconCoordinate texture)
+    public ParticleFluidDrip(final World world, final double x, final double y, final double z, int color, IconCoordinate texture)
     {
         super(world, x, y, z, 0.0, 0.0, 0.0);
         tex = texture;
@@ -92,7 +92,7 @@ public class FluidDripParticle extends Particle
         t.addVertexWithUV(x + xa * r - xa2 * r, y - ya * r, z + za * r - za2 * r, u0, v2);
     }
 
-    public FluidDripParticle setFullBright() {
+    public ParticleFluidDrip setFullBright() {
         fullBright = true;
         return this;
     }
diff --git a/src/main/java/net/minecraft/client/entity/particle/FootstepParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleFootstep.java
similarity index 95%
rename from src/main/java/net/minecraft/client/entity/particle/FootstepParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleFootstep.java
index fa2426f45..3b34d4ce6 100644
--- a/src/main/java/net/minecraft/client/entity/particle/FootstepParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleFootstep.java
@@ -7,12 +7,12 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 import org.lwjgl.opengl.GL11;
 
-public class FootstepParticle extends Particle {
+public class ParticleFootstep extends Particle {
     private int life;
     private final int lifeTime;
     private final TextureManager textureManager;
 
-    public FootstepParticle(TextureManager textureManager, World world, double x, double y, double z) {
+    public ParticleFootstep(TextureManager textureManager, World world, double x, double y, double z) {
         super(world, x, y, z, 0.0D, 0.0D, 0.0D);
         this.life = 0;
         this.textureManager = textureManager;
diff --git a/src/main/java/net/minecraft/client/entity/particle/HeartParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleHeart.java
similarity index 91%
rename from src/main/java/net/minecraft/client/entity/particle/HeartParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleHeart.java
index 69de17d2d..3624db00c 100644
--- a/src/main/java/net/minecraft/client/entity/particle/HeartParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleHeart.java
@@ -4,14 +4,14 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 
-public class HeartParticle extends Particle {
+public class ParticleHeart extends Particle {
     private final float oSize;
 
-    public HeartParticle(World world, double x, double y, double z, double xa, double ya, double za) {
+    public ParticleHeart(World world, double x, double y, double z, double xa, double ya, double za) {
         this(world, x, y, z, xa, ya, za, 2.0F);
     }
 
-    public HeartParticle(World world, double x, double y, double z, double xa, double ya, double za, float scale) {
+    public ParticleHeart(World world, double x, double y, double z, double xa, double ya, double za, float scale) {
         super(world, x, y, z, 0.0D, 0.0D, 0.0D);
         this.xd *= 0.01D;
         this.yd *= 0.01D;
diff --git a/src/main/java/net/minecraft/client/entity/particle/BreakingItemParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleItemBreaking.java
similarity index 95%
rename from src/main/java/net/minecraft/client/entity/particle/BreakingItemParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleItemBreaking.java
index 229e5628a..cfa1b42ad 100644
--- a/src/main/java/net/minecraft/client/entity/particle/BreakingItemParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleItemBreaking.java
@@ -13,8 +13,8 @@ import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.world.World;
 
-public class BreakingItemParticle extends Particle {
-    public BreakingItemParticle(World world, double x, double y, double z, Item item) {
+public class ParticleItemBreaking extends Particle {
+    public ParticleItemBreaking(World world, double x, double y, double z, Item item) {
         super(world, x, y, z, 0.0D, 0.0D, 0.0D);
         this.tex = ItemModelDispatcher.getInstance().getDispatch(item).getIcon(null, item.getDefaultStack());
         this.rCol = this.gCol = this.bCol = 1.0F;
diff --git a/src/main/java/net/minecraft/client/entity/particle/LavaParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleLava.java
similarity index 94%
rename from src/main/java/net/minecraft/client/entity/particle/LavaParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleLava.java
index 9df62f8f8..8fa6abaad 100644
--- a/src/main/java/net/minecraft/client/entity/particle/LavaParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleLava.java
@@ -4,10 +4,10 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 
-public class LavaParticle extends Particle {
+public class ParticleLava extends Particle {
     private final float oSize;
 
-    public LavaParticle(World world, double x, double y, double z) {
+    public ParticleLava(World world, double x, double y, double z) {
         super(world, x, y, z, 0.0D, 0.0D, 0.0D);
         this.xd *= 0.8D;
         this.yd *= 0.8D;
diff --git a/src/main/java/net/minecraft/client/entity/particle/LeafParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleLeaf.java
similarity index 91%
rename from src/main/java/net/minecraft/client/entity/particle/LeafParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleLeaf.java
index 2afe69663..fc8b9bbaf 100644
--- a/src/main/java/net/minecraft/client/entity/particle/LeafParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleLeaf.java
@@ -10,11 +10,11 @@ import net.minecraft.client.render.block.color.BlockColorDispatcher;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.BaseLeavesBlock;
+import net.minecraft.core.block.BlockLeavesBase;
 import net.minecraft.core.world.World;
 
-public class LeafParticle extends Particle {
-    public LeafParticle(World world, double x, double y, double z, double xa, double ya, double za) {
+public class ParticleLeaf extends Particle {
+    public ParticleLeaf(World world, double x, double y, double z, double xa, double ya, double za) {
         super(world, x, y, z, xa, ya, za);
         this.tex = TextureRegistry.getTexture("minecraft:block/leaves/oak_fancy");
         this.gravity = 0.125F;
@@ -27,12 +27,12 @@ public class LeafParticle extends Particle {
 
     @Override
     public boolean collidesWithBlock(Block block, int metadata) {
-        return !(block instanceof BaseLeavesBlock);
+        return !(block instanceof BlockLeavesBase);
     }
 
-    public LeafParticle init(int x, int y, int z) {
+    public ParticleLeaf init(int x, int y, int z) {
         Block block = Block.blocksList[this.world.getBlockId(x, y, z)];
-        if (!(block instanceof BaseLeavesBlock)) this.remove();
+        if (!(block instanceof BlockLeavesBase)) this.remove();
         int col = BlockColorDispatcher.getInstance().getDispatch(block).getWorldColor(world, x, y, z);
         this.rCol *= (float) (col >> 16 & 0xff) / 255F;
         this.gCol *= (float) (col >> 8 & 0xff) / 255F;
diff --git a/src/main/java/net/minecraft/client/entity/particle/NoteParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleNote.java
similarity index 92%
rename from src/main/java/net/minecraft/client/entity/particle/NoteParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleNote.java
index 5f6fd6dd8..cd51f66a7 100644
--- a/src/main/java/net/minecraft/client/entity/particle/NoteParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleNote.java
@@ -6,14 +6,14 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 
-public class NoteParticle extends Particle {
+public class ParticleNote extends Particle {
     private final float oSize;
 
-    public NoteParticle(World world, double x, double y, double z, double xa, double ya, double za, int data) {
+    public ParticleNote(World world, double x, double y, double z, double xa, double ya, double za, int data) {
         this(world, x, y, z, xa, ya, za, data, 2.0F);
     }
 
-    public NoteParticle(World world, double x, double y, double z, double xa, double ya, double za, int data, float scale) {
+    public ParticleNote(World world, double x, double y, double z, double xa, double ya, double za, int data, float scale) {
         super(world, x, y, z, xa, ya, za);
         this.xd *= 0.01D;
         this.yd *= 0.01D;
diff --git a/src/main/java/net/minecraft/client/entity/particle/TakeAnimationParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticlePickupAnimation.java
similarity index 94%
rename from src/main/java/net/minecraft/client/entity/particle/TakeAnimationParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticlePickupAnimation.java
index 83386fad2..47df0194b 100644
--- a/src/main/java/net/minecraft/client/entity/particle/TakeAnimationParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticlePickupAnimation.java
@@ -9,14 +9,14 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 import org.lwjgl.opengl.GL11;
 
-public class TakeAnimationParticle extends Particle {
+public class ParticlePickupAnimation extends Particle {
     private final Entity item;
     private final Entity target;
     private int life;
     private final int lifeTime;
     private final float yOffs;
 
-    public TakeAnimationParticle(World world, Entity item, Entity target, float scale) {
+    public ParticlePickupAnimation(World world, Entity item, Entity target, float scale) {
         super(world, item.x, item.y, item.z, item.xd, item.yd, item.zd);
         this.life = 0;
         this.item = item;
diff --git a/src/main/java/net/minecraft/client/entity/particle/PortalParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticlePortal.java
similarity index 95%
rename from src/main/java/net/minecraft/client/entity/particle/PortalParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticlePortal.java
index 557b522ba..0b100703e 100644
--- a/src/main/java/net/minecraft/client/entity/particle/PortalParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticlePortal.java
@@ -6,13 +6,13 @@ import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.world.World;
 
-public class PortalParticle extends Particle {
+public class ParticlePortal extends Particle {
     private final float oSize;
     private final double xStart;
     private final double yStart;
     private final double zStart;
 
-    public PortalParticle(World world, double x, double y, double z, double xd, double yd, double zd, int data) {
+    public ParticlePortal(World world, double x, double y, double z, double xd, double yd, double zd, int data) {
         super(world, x, y, z, xd, yd, zd);
         this.xd = xd;
         this.yd = yd;
